API ලේඛන
මෙහි යටිතල පහසුකම වාරණය නැති බුද්ධිය
වාරණය නැති AI API: ප්රතික්ෂේප කිරීම් සහ filters නැති, අපගේම GPU වලින් සපයන Shannon models. OpenAI සහ Anthropic අනුකූලයි — ඔබ දැනටමත් භාවිතා කරන SDK එක යොදන්න, එක යතුරක්, සෑම endpoint එකකම streaming, tool calling සහ reasoning.
- 22 වාරණය නැති models
- 256K context window
- සිට $0.50/1M
- 3 අනුකූල API
- 3 ජාල: TLS, Tor, I2P
ගොඩනැගීම ආරම්භ කරන්න Playground උත්සාහ කරන්න
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-3",
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-3',
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-3",
Messages: []openai.ChatCompletionMessage{
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-3",
"messages": [
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' Models සහ මිල ගණන් TOKENS 1M කට
සීමා, ids සහ මිල සෑදෙන ආකාරයඅපගේ සේවාදායකවල ධාවනය වන open-weight models සෑම id එකකම tokens 262,144 context එකක්; input සහ output වෙන වෙනම බිල් කෙරේ; සෑම id එකක්ම එය අනුකරණය කරන model එක පිළිගන්නා දේ පිළිගනී
- වාරණය නැති
DeepSeek-V4-Pro-0813
3BIT-REAPDeepSeek · 1.6T MoE · 49B active
ගැඹුරු reasoning සහ දිගු output සඳහා flagship ප්රමාණයේ model එකක්.
Model idDeepSeek-V4-Pro-0813-3BIT-REAP- Context
- 256K
- Input
- Text input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $1.95 / $0.488 / $3.90
- වාරණය නැති
GLM-5.2
3BIT-REAPZ.ai · 744B MoE · 40B active
පොහොසත් බහුභාෂා output සහිත ශක්තිමත් සාමාන්ය කාර්ය model එකක්.
Model idGLM-5.2-3BIT-REAP- Context
- 256K
- Input
- Text input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.73 / $0.183 / $2.34
- වාරණය නැති
Kimi-K3
3BIT-REAPMoonshot AI · 2.8T MoE · 104B active
සම්පූර්ණ, සවිස්තරාත්මක පිළිතුරු සඳහා සුසර කළ උසස් මට්ටමේ model එකක්.
Model idKimi-K3-3BIT-REAP- Context
- 256K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $3.83 / $0.958 / $19.12
- වාරණය නැති
Nemotron3Ultra
3BIT-REAPNVIDIA · 550B hybrid Mamba-Attention MoE · 55B active
ඩොලරයකට ශක්තිමත් reasoning ලබා දෙන කාර්යක්ෂම විශාල model එකක්.
Model idNemotron3Ultra-3BIT-REAP- Context
- 256K
- Input
- Text input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.75 / $0.188 / $3.30
- වාරණය නැති
MiniMax-M3
3BIT-REAPMiniMax · 428B MoE · 23B active · sparse attention
විශාල ප්රමාණයේ workloads සඳහා වේගවත්, අඩු වියදම් model එකක්.
Model idMiniMax-M3-3BIT-REAP- Context
- 256K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.50 / $0.125 / $2.00
- වාරණය නැති
DeepSeek-V4-Flash-0731
W4A16-AUTOROUND-REAPDeepSeek · 284B MoE · 13B active
වේගය සහ ගුණාත්මකභාවය සමතුලිත කරන වේගවත් DeepSeek model එකක්.
Model idDeepSeek-V4-Flash-0731-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.50 / $0.125 / $2.00
- වාරණය නැති
Kimi-K2.6
W4A16-AUTOROUND-REAPMoonshot AI · 1T MoE · 32B active
දෛනික reasoning සහ කෙටුම්පත් කිරීම සඳහා හැකියාව ඇති model එකක්.
Model idKimi-K2.6-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.78 / $0.195 / $3.67
- වාරණය නැති
Laguna-S-2.1
W4A16-AUTOROUND-REAPPoolside · 118B MoE · 8B active
සැහැල්ලු කාර්යයන් සඳහා අතිශයින් අඩු වියදම් model එකක්.
Model idLaguna-S-2.1-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text input
- Structured output
- Structured output නැත
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.50 / $0.125 / $2.00
- වාරණය නැති
inkling
W4A16-AUTOROUND-REAPThinking Machines · 975B MoE · 41B active
සුවිශේෂී ලිවීමේ හඬක් සහිත නිර්මාණශීලී model එකක්.
Model idinkling-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Text + රූප input
- Structured output
- JSON object
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $1.42 / $0.355 / $6.07
- වාරණය නැති
MiMo-V2.5-Pro
W8A16Xiaomi · 1.02T MoE · 42B active · 8-bit
ව්යුහගත, නිරවද්ය output සඳහා සංයුක්ත pro model එකක්.
Model idMiMo-V2.5-Pro-W8A16- Context
- 256K
- Input
- Text input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.50 / $0.125 / $2.00
- වාරණය නැති
MiMo-V2.5
W8A16Xiaomi · 8-bit multimodal · W8A16
අවම වියදමකින් සරල කාර්යයන් සඳහා කුඩා, වේගවත් model එකක්.
Model idMiMo-V2.5-W8A16- Context
- 256K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.50 / $0.125 / $2.00
- වාරණය නැති
Hy3
W8A16Tencent · 295B MoE · 21B active · 8-bit
සංක්ෂිප්ත සංවාදමය පිළිතුරු සඳහා අඩු වියදම් model එකක්.
Model idHy3-W8A16- Context
- 256K
- Input
- Text input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Reasoning effort
- Prompt caching
- Streaming
- 1M එකකට In / cached / out
- $0.50 / $0.125 / $2.00
Shannon models input සහ output සඳහා එකම ස්ථාවර ගාස්තුවක්
-
වාරණය නැතිShannon 1.6 Lite
දිනපතා කාර්යයන් සඳහා වේගවත්, කාර්යක්ෂම ප්රතිචාර
Model idshannon-1.6-lite- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- Web search
- Streaming
- මිල / tokens 1M
- $3.90
-
වාරණය නැතිShannon 1.6 Pro
සංකීර්ණ ගැටළු සඳහා උසස් තර්කනය
Model idshannon-1.6-pro- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Web search
- Streaming
- මිල / tokens 1M
- $7.80
-
වාරණය නැතිShannon 2 Lite
Shannon 2 Lite: පෙනෙන reasoning trace එකක් සහිත වේගවත් think-draft-review pipeline එකක්. දෛනික chat, සාරාංශ සහ Q&A.
Model idshannon-2-lite- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Web search
- Streaming
- මිල / tokens 1M
- $3.90
-
වාරණය නැතිShannon 2 Pro
Shannon 2 Pro: විශ්ලේෂණ, දිගු ලිවීම් සහ බහු-පියවර reasoning සඳහා ගැඹුරු think-draft-review වට.
Model idshannon-2-pro- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Web search
- Streaming
- මිල / tokens 1M
- $5.85
-
වාරණය නැතිShannon 3
අඩු ස්ථාවර මිලකට වේගවත් reasoning ලබා දෙන නවතම පරම්පරාවේ Shannon model එක.
Model idshannon-3- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Web search
- Streaming
- මිල / tokens 1M
- $3.35
-
වාරණය නැතිShannon 3 Pro
සංකීර්ණ, බහු-පියවර වැඩ සඳහා වැඩි හැකියාවක් ඇති Shannon 3 මට්ටම.
Model idshannon-3-pro- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Web search
- Streaming
- මිල / tokens 1M
- $3.35
-
වාරණය නැතිShannon 3.1
අපගේම hardware මත Shannon 3, rate gate නැතිව පූර්ණ වේගයෙන් streaming.
Model idshannon-3.1- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Web search
- Streaming
- මිල / tokens 1M
- $3.35
-
වාරණය නැතිShannon 3.1 Pro
දුෂ්කර ප්රශ්න සඳහා පසුබිම් පර්යේෂණ පියවරක් සහිත පූර්ණ වේගයේ ගැඹුරු reasoning.
Model idshannon-3.1-pro- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Web search
- Streaming
- මිල / tokens 1M
- $3.35
-
වාරණය නැතිShannon 3.5
One streaming answer that thinks, searches, draws charts and diagrams and writes files inline.
Model idshannon-3.5- Context
- 192K
- Input
- Text + රූප input
- Structured output
- JSON schema
- Tools
- Streaming
- මිල / tokens 1M
- $3.35
-
වාරණය නැතිShannon Coder 1
Code සහ tools විශේෂඥයා: agentic සංස්කරණය, දිගු ගොනු සහ දැඩි tool loops.
Model idshannon-coder-1- Context
- 128K
- Input
- Text input
- Structured output
- JSON schema
- Tools
- තර්කනය (Reasoning)
- Streaming
- මිල / tokens 1M
- $8.00
ලේඛන පිරික්සන්න
- ඉක්මන් ආරම්භය යතුරක් සාදන්න, ඔබේ SDK එක Shannon වෙත යොමු කරන්න සහ පළමු ඉල්ලීම යවන්න.
- Models සහ මිල ගණන් සෑම model id එකක්ම එහි context window, inputs සහ tokens 1M කට මිල සමඟ.
- සත්යාපනය සෑම endpoint එකකටම එක යතුරක්: Bearer header එකක් හෝ x-api-key.
- ස්ට්රීමිං Reasoning deltas සහිත server-sent events; භාවිතා දත්ත (usage) අවසන් chunk එකෙන් පැමිණේ.
- කාර්ය කැඳවීම Tools අර්ථ දක්වන්න, model එකට ඒවා call කිරීමට ඉඩ දෙන්න, tool_choice මගින් එය මෙහෙයවන්න.
- ව්යුහගත ප්රතිදාන JSON object එකක් ලෙස හෝ ඔබේ JSON schema එකට අනුව පිළිතුරු.
- Reasoning effort Reasoning stream එක කියවන්න; host කළ open-weight models මත effort එක සකසන්න.
- Prompt caching Host කළ models නැවත නැවත එන prompt prefixes ස්වයංක්රීයව cache කරයි, input මිලෙන් 25% කට.
- Responses API එම models සහ එම යතුරේම OpenAI Responses උපභාෂාව.
- Anthropic ඔබේ Anthropic SDK සහ Messages කේතය තබා ගන්න; base URL එක පමණක් වෙනස් කරන්න.
- CLI coding මෙවලම් Shannon එය පිටුපස ඇති model එක ලෙස Claude Code සහ Codex CLI සමඟ.
- දෝෂ Status කේත, දෝෂ වර්ග සහ දෝෂ body එකක හැඩය.
සෑදීමට සූදානම්ද?
සෑම ගිණුමකටම නොමිලේ ස්ථරයක් ඇතුළත් වේ. ඔබේ යතුර එක click එකක් දුරින් ඇත.